[Story] Notification: Add notification when page is being connected to Wikidata
Closed, ResolvedPublic

Description

Add a notfication to let a user know that a page they created has been connected via a sitelink to an item on Wikidata.

This will increase awareness of Wikidata as a hub and hopefully increase the chance that the article creator will try to do it themselves the next time they create an article.

Ainali created this task.Aug 27 2015, 9:51 PM
Ainali updated the task description. (Show Details)
Ainali raised the priority of this task from to Needs Triage.
Ainali added projects: Notifications, Wikidata.
Ainali added a subscriber: Ainali.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 27 2015, 9:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher renamed this task from Notification: Add notification when page is being connected to Wikidata to [Story] Notification: Add notification when page is being connected to Wikidata.Sep 1 2015, 11:38 AM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher set Security to None.

I have written a separate extension for this locally. What is the best place for the code? Can this be in Echo.php and Hooks.php or should this be part of Wikibase extensions?

hoo added subscribers: aude, daniel, hoo.Mar 4 2016, 6:35 PM

So you push an Echo notification to a user on a client once a page (created by them?) gets connected with a Wikidata item? That sounds like an Echo action that Wikibase client should trigger.

I think that should probably live in Wikibase client… feel free to talk to me or others if you need help or in case there are further open questions/ considerations.

The info in the comments of T110356: Add documentation file for Echo hooks might help?
If not, we need to file a new task for "Document how to create a new notification type" for both separate extensions and for core (once Echo is merged in, per T128351: RfC: Notifications in core). @Legoktm thoughts?

Change 276159 had a related patch set uploaded (by Matěj Suchánek):
[WIP] Send a notification when a page is connected to a repo item

https://gerrit.wikimedia.org/r/276159

Sorry for not commenting this earlier, but better late then never as they say.

I really like the idea, especially the raising awareness part, but I have some concerns. What comes to my mind now:

  • This will be enabled for everyone by default, right? Because if not, then we lose a lot of people, who this notification is meant to.
  • What about mass-connecting? We (those, who work at WD) know, that one can connect very many articles to WD with Magnus' Creator and Quick statements. And if the user has written some 200 articles (not so unusual situation) in past few days and then other person are creating WD items with Creator, then the user will get 200 new notifications? That is a little bit too much, I think.
  • And most probably there should be a link to some help or documentation, what Wikidata is about, why user should create items themselves (the most important part) and how to do that. OK, this third point is a little bit offtopic.

No problem, the review has started yesterday.

This is one of the points we should discuss. If this is not enabled by default, the users indeed won't know about the repo. Enabling by default for all may cause excessive spamming of very active users. My idea is at the moment enabling for new users.

In general, spamming can be avoided by setting bundling ("the page ... and some others..."). Bundling would however not inform about all pages that were connected (T61005).

The help page is already mentioned in the review summary.

I would suggest bundling them.For the people who write many many articles they don't care too much about which particular ones were connected anyway. We care about the people who write few articles and are just not aware of the needed step. I don't think this is only newbies. We still have a lot of old-timers who are in the same situation.

Yes, bundling is good. And perhaps exclude articles created by a bot-flagged user, because they are probably really creating articles en masse.

Yes, I would agree with Lydia. We could enable this by default for all users, not only newcomers.

  • And most probably there should be a link to some help or documentation, what Wikidata is about, why user should create items themselves (the most important part) and how to do that. OK, this third point is a little bit offtopic.

@jmatazzoni What do you think about this? It is basically an optional feature they are looking at to link to a help page in the secondary links. I don't think we do that in any other secondary links.

JanZerebecki added a subscriber: JanZerebecki.EditedApr 26 2016, 8:18 PM

Promblems with having Echo around during Jenkins tests: T133774: Echo phpunit tests fail together with other extensions

Hey Echo team :) Can someone fromm your side give this the final ok to get it unstuck? I'd hate to let our volunteers wait longer.

Will users receive a notification if they create Wikidata items for the articles they create? They shouldn't.
Do you plan to have that made for other cases, like Commons categories?

Will users receive a notification if they create Wikidata items for the articles they create? They shouldn't.

AFAIK agent can recieve a notification only if 'notifyAgent' => true which is not this case.

Do you plan to have that made for other cases, like Commons categories?

Provided this is enabled on Commons and MWNamespace::isContent( $title->getNamespace() ) is true for Commons categories.

Hey Echo team :) Can someone fromm your side give this the final ok to get it unstuck? I'd hate to let our volunteers wait longer.

Re-reviewed. Very minor feedback, someone from Wikibase can merge after that is updated.

Provided this is enabled on Commons and MWNamespace::isContent( $title->getNamespace() ) is true for Commons categories.

NS_CATEGORY is not content on Commons, just FYI.

Change 276159 merged by jenkins-bot:
Send a notification when a page is connected to a repo item

https://gerrit.wikimedia.org/r/276159

hoo closed this task as Resolved.
hoo removed a project: Patch-For-Review.

Thanks for working on this @matej_suchanek :)

Is there any prototype, mockup or documentation?

The note about this feature in the Wikidata newsletter said that the notification was going to be for WPs? Is it that limited or will it work across wikimedia more generally? Also will there the ability to have this specific notification turned off if a user wishes it so?

Any updates concerning documentation and targeted wikis?

Is it that limited or will it work across wikimedia more generally?

It may work on any project with connections to Wikidata.

Also will there the ability to have this specific notification turned off if a user wishes it so?

Just like it's possible with most other notifications.

Any updates concerning documentation and targeted wikis?

What do you meant with 'documentation'? Something like when a notification is sent and how it looks like? Could you please write down the necessary things anywhere?

AFAIK no setting change was done, so no notifications will be sent until then.

@Trizek-WMF:

  • (This is a mock which I made by hacking DOM, it isn't the exact look)
  • Name: Well, the shortest name I can think of is "Sitelink addition" but 'sitelink' is really of jargon.
  • A/N: Notice (per @Catrope)
  • Triggered by: Sitelink addition on Wikidata = connecting a page in a content namespace on a wiki to a Wikidata item
  • Primary link: The connected page but not sure about it.
  • Secondary links: The item page and, per wiki feature, a "learn more" link to a local help page on Wikidata usage.
  • Bundling: all notifications together (rationale: we want the user to know that there is Wikidata but more information is redundant)

Do you have a screenshot, with a more real case than "Foo"? Can you upload it on Commons?
What is the {{int:}} name for that notification?
On which wikis do you plan to deploy it? When?
When I'll have all these information, I can update the help page, unless if you want to do it.
Thanks!

aude added a comment.Aug 2 2016, 5:07 PM

Do you have a screenshot, with a more real case than "Foo"? Can you upload it on Commons?

https://commons.wikimedia.org/wiki/File:Echo-connecteditem.png

What is the {{int:}} name for that notification?
On which wikis do you plan to deploy it? When?
When I'll have all these information, I can update the help page, unless if you want to do it.
Thanks!

@aude: Thank you (of course, the logo can be changed)

What is the {{int:}} name for that notification?

"notification-header-page-connection"

On which wikis do you plan to deploy it? When?

@Lydia_Pintscher: what do think?

When I'll have all these information, I can update the help page, unless if you want to do it.

If you feel like the one to do this, please do :)

Trizek-WMF added a comment.EditedAug 2 2016, 5:22 PM

Speaking of the screenshot, something just popped-up in my mind: are you going to use the Wikidata logo as an icon?
Collaboration team preferred not to do that for cross-wiki notifications. What is your rationale behind that logo use?

I think @Pginer-WMF input would be welcome there.

Speaking of the screenshot, something just popped-up in my mind: are you going to use the Wikidata logo as an icon?
Collaboration team preferred not to do that for cross-wiki notifications. What is your rationale behind that logo use?

I think the Wikidata logo is fine to use for now (or forever).
In the future (and a separate task) it could potentially be tweaked to something else.

(I believe we didn't use project logos for cross-wiki notifications, because we decided to only use text (language/project-name) to indicate which other wikis the cross-wiki notifications are coming from.)

Change 302933 had a related patch set uploaded (by Matěj Suchánek):
Generate sample notifications for Wikibase

https://gerrit.wikimedia.org/r/302933

Change 302933 merged by jenkins-bot:
Generate sample notifications for Wikibase

https://gerrit.wikimedia.org/r/302933

I think @Pginer-WMF input would be welcome there.

My preference for notification icons is to communicate what happened (item got connected/linked) instead of where it happened (Wikidata). It tends to be more informative, requires to know less in advance, and allows for more events to happen in the same place.
For example I'd not use the Commons logo to present both a "your image was deleted" and a "your image was selected for image of the day" notification.

In the current case, an icon that presents connection could work.

Johan added a subscriber: Johan.Aug 18 2016, 6:04 AM

This has been marked for inclusion in Tech News and is resolved, but these notifications are not live in production yet, right? I just tested to see if I would trigger one and couldn't (letting a different than the one which created the page connect it to Wikidata).

Yes, per above.

For subscribers, everything to be done before deploying to production is now tracked at T142102: [Story] Deploy Wikibase notifications to Wikimedia projects.